<h2 class="spaced">About ReDonate</h2>

<h3>What is ReDonate?</h3>

<p>
	ReDonate is a service for 'voluntary recurring donations'. What this
	means in simple terms, is that we allow you to set up recurring
	donations to a service, without ever making an automatic charge.
</p>

<p>
	ReDonate works much like a calendar application - every month, you'll
	receive an e-mail reminding you of your pledge. The e-mail will include
	donation links, so that you can make the donation you pledged, straight
	away.
</p>

<p>
	If you want to skip a month or even unsubscribe from a donation
	campaign, that's fine! There are no hoops to jump through, no
	cancellation periods, and no other kinds of hassle involved.
</p>

<p>
	Basically, it's recurring donations how they were intended - as a
	voluntary periodic contribution to a campaign. No automatic charges, no
	subscription lock-ins, no other nasty things.
</p>

<h3>Why did you set up ReDonate?</h3>

<p>
	Right now, your options for recurring donations are extremely limited.
	Only a few payment processors offer options for this, and all of them
	automatically charge your account, and do not allow you to offer payment
	methods from competitors.
</p>

<p>
	Donations are intended to be voluntary, not automatic or forced. 
	ReDonate exists to provide recurring donations for <em>everyone</em>
	without a catch, without fees, and without lock-in.
</p>

<h3>What do I need to sign up?</h3>

<p>
	You need an e-mail address, a username, and a password. That's it. Since
	we do not actually process any payments ourselves (after all, we just
	act as a reminder service), there are no regulations for us to comply
	with. Further requirements depend on what payment methods you use.
</p>

<h3>What payment methods can I use?</h3>

<p>
	Any method you wish. We're serious.
</p>

<p>
	Certain payment methods and processors are already integrated, such as
	PayPal. Want to use a payment processor that isn't listed? Just enter
	the name and your address, account number, or other information that
	people need to use that processor, and it'll be shown on the donation
	page. No matter what processor it is.
</p>

<p>
	Over time, we will be looking at the most commonly used 'custom' payment
	processors and methods, and properly implement them.
</p>

<h3>Is there anything you don't allow?</h3>

<p>
	It's not our job to police the internet. We only act as a 'gateway' and
	reminder service, so there's really nothing we can be held accountable
	for. If the payment processor or method you are using allows what you're
	doing, then we don't see a reason to block you out.
</p>

<p>
	That said, if you disagree with what a ReDonate campaign is collecting
	donations for, then please take it up with the campaign administrator or
	the payment processor(s) they are using. Don't bother complaining to us
	about it - it's not our business.
</p>

<h3>Why are the statistics only estimates?</h3>

<p>
	Because of the way ReDonate works, we don't always have reliable data
	to work with. We can only, for example, collect donation statistics
	about payment processors that we've explicitly implemented. For other
	payment methods and processors, every donor is asked whether they chose
	to donate or not. Since there's no way to check whether a donor gave an
	honest answer, the data is not very reliable.
</p>

<p>
	The purpose of the statistics we collect is to give you a ballpark idea
	of what's going on with your campaign. If you want 100% reliable
	statistics, you will have to get the data from the payment processors
	that you use.
</p>

<p>
	The possible inaccuracy of the statistics is not a problem - as we don't
	process any payments ourselves, the statistics only serve an
	informational purpose, and are not critical for operations.
</p>

<h3>Can I advertise on ReDonate?</h3>

<p>
	Short answer: No.
</p>

<p>
	Longer answer: One of the reasons for the existence of ReDonate, is to
	make it more feasible to use donations as a sole source of income.
	Advertising has incredibly damaging effects on society - most of them
	hidden - and we do not wish to support this.
</p>

<p>
	If you want to support ReDonate, you can donate to us via 
	<a href="/campaign/redonate">our own ReDonate campaign.</a>
</p>

<h3>Are you a commercial project?</h3>

<p>
	No, absolutely not. ReDonate is an entirely non-profit project and will
	remain non-profit. We have no interest in making a profit, getting
	bought out, or any other commercial goals.
</p>

<h3>How do I know ReDonate will continue to exist?</h3>

<p>
	First things first: even <em>if</em> ReDonate were to stop existing,
	there would be no risk for you. We don't hold any funds, so there's
	really nothing to lose.
</p>

<p>
	That being said, ReDonate is supported by the 
	<a href="http://cryto.net/">Cryto Coding Collective</a>, a non-profit
	developer collective that has been successfully running services for the
	past two years. ReDonate uses very little resources, and is trivial to
	keep running.
</p>

<h3>What data do you collect?</h3>

<p>
	We collect two kinds of data: operational data, and statistical data.
</p>

<p>
	Operational data includes all data that is necessary for proper
	functioning of the service. Think your e-mail address, payment processor
	information, login details, and so on.
</p>

<p>
	Statistical data consists of data that is used for providing statistics
	to campaign administrators, and to ReDonate administrators. In the
	latter case, the purpose is to make the service work better.
</p>

<p>
	Statistical data includes pageloads with IP addresses and session IDs
	(don't worry, no browser fingerprinting or supercookies), subscription
	logs, donation logs, and similar data.
</p>

<p>
	All IP addresses are scrubbed after 30 days, and are only used to
	determine 'unique' visitors.
</p>

<h3>Is my data safe with you?</h3>

<p>
	As safe as it's going to be with anyone on the internet that has no
	interest in selling or spreading it.
</p>

<p>
	Since ReDonate is a non-profit project with minimal operation costs, we
	have no reason to sell your data or otherwise use it for commercial
	purposes.
</p>

<p>
	On the other hand, you should <em>never</em> assume that your data is
	100% safe with <em>anyone</em>. Even the organizations that you trust
	most, are most likely using your data for purposes you don't agree with.
</p>

<p>
	When in doubt, use <a href="http://torproject.org/">TOR</a>, and a fake
	identity. We don't require you to use a real identity.
</p>
